VWSとは フォーラム Lightning [ 解決済 ] woocommerce subscriptions 有効時にエラー表示が出る。

[ 解決済 ] woocommerce subscriptions 有効時にエラー表示が出る。

  • このトピックには5件の返信、2人の参加者があり、最後にWithにより1週、 3日前に更新されました。
6件の投稿を表示中 - 1 - 6件目 (全6件中)
  • 投稿者
    投稿
  • #44577

    With
    参加者

    Lightning Pro を利用しております。
    最近、ホームページを開くと一瞬、上部に
    英語のエラーメッセージが表示されてすぐに消えます。
    このような現象が起きております。

    編集画面を確認したところ、最上部に以下の記述が表示されて消えません。
    「woocommerce subscriptions」のプラグインに問題が発生しているのでしょうか。
    エラー表示を消したいのですが、どうすればよいか分かりません。困っております。
    ※「woocommerce subscriptions」のプラグインを無効にするとエラー表示は消えました。


    S_Query::get_endpoint_title($endpoint) should be compatible with WC_Query::get_endpoint_title($endpoint, $action = ”) in /home/xxxx/ドメイン/public_html/wp-content/plugins/woocommerce-subscriptions/includes/class-wcs-query.php on line 0

    どうぞ宜しくお願いします。

    #44578

    With
    参加者

    追記あり:
    「Jetpack サイト統計情報」 に以下の情報が記載されています。
     ↓

    Warning: Declaration of WCS_Query::get_endpoint_title($endpoint) should be compatible with WC_Query::get_endpoint_title($endpoint, $action = ”) in /home/xxx/ドメイン/public_html/wp-content/plugins/woocommerce-subscriptions/includes/class-wcs-query.php on line 0

    #44588

    石川@Vektor,Inc.
    キーマスター

    UpdraftPlusなどでバックアップを撮った上でテーマを Lightning 以外に変更して改善する場合は Lightning に何か関連する不具合であると考えられますが、
    変更しても発生する場合は弊社ではわかりかねますので WooCommerce の方にお問い合わせよろしくお願いいたします。

    #44595

    With
    参加者

    ご返答頂きありがとうございます。

    先ほどの英文エラーは現在、
    どのような症状なのでしょうか。
    何を伝えているのか教えて頂きたい。

    どうぞ宜しくお願いします。

    #44596

    石川@Vektor,Inc.
    キーマスター

    内容はWooCommerceのプログラムの中身を調べてみないとわかりません。

    弊社製品と因果関係のあるエラーであれば調査に時間を裂くべきですが、
    弊社製品と関係なく修正権限もない他社製品のエラーの調査は弊社に何のメリットもなく、
    他の機能改善を望む多くのユーザー様にもデメリットになるため、
    まずは Lightning 以外のテーマで発生するかどうか確認をよろしくお願いいたします。

    #44607

    With
    参加者

    ご連絡頂き、誠にありがとうございます。
    WooCommerce Subscriptionsのバージョンが
    自動アップデートされていないことでエラーが発生しておりました。
    手動で最新バージョンにすることで解決しました。

    WooCommerce本体は最新に自動アップデートしているのですが
    WooCommerce Subscriptionsのバージョンは
    アップデートされずに古いままでした。

    「WooCommerce Subscriptions」プラグインは
    自動アップデートしていないようです。
    「WooCommerce Subscriptions」を現在使用中の方は注意が必要です。

    WooCommerce Subscriptionsを購入後に
    職人工房の「WooCommerce Subscriptions 日本語ファイル及び日本語サポート」
    を購入しておりましたので、職人工房カスタマーサポート様に
    症状を相談させて頂きました。

    職人工房カスタマーサポート様より
    「WooCommerceとSubscriptions のバージョンをお伝え下さい。」
    とのことで確認しました。

    WooCommerce Subscriptions バージョン 3.0.4 → バージョン 3.0.10にしました。
    WooCommerce販売サイトのマイアカウントからダウンロードに進むと
    「WooCommerceサブスクリプション 3.0.10 バージョン2020-11-10」
    と記載されておりました。
    現在のバージョンが最新でないと確認できましたので
    アンインストール後に最新バージョンをダウンロードして
    再インストールしました。
    確認してみるとエラーが消えたようです。

6件の投稿を表示中 - 1 - 6件目 (全6件中)
  • このトピックに返信するにはログインが必要です。